curl -X GET https://api.bizmori.com/api/v2/orders/ORDER_ID \
-H "Authorization: Bearer YOUR_API_TOKEN"const orderId = 'ORDER_ID';
const response = await fetch(
`https://api.bizmori.com/api/v2/orders/${orderId}`,
{ headers: { 'Authorization': 'Bearer YOUR_API_TOKEN' } }
);
const data = await response.json();import requests
order_id = 'ORDER_ID'
response = requests.get(
f'https://api.bizmori.com/api/v2/orders/{order_id}',
headers={'Authorization': 'Bearer YOUR_API_KEY'}
)
data = response.json()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bizmori.com/api/v2/orders/{orderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bizmori.com/api/v2/orders/{orderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bizmori.com/api/v2/orders/{orderId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bizmori.com/api/v2/orders/{orderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"type": "antiAi",
"orderId": "1234567890123456789",
"channel": "api",
"thumbnailImageUrl": "https://s3.amazonaws.com/...",
"status": "complete",
"orderName": "anti_ai_2026-03-12",
"fileCount": 3,
"createdAt": "2026-03-12T10:00:00.000Z",
"updatedAt": "2026-03-12T10:05:00.000Z",
"errors": null
}
}注文詳細を取得
非推奨(Deprecated): すべての注文の種類を 1 つの形式で返す GET /api/v3/orders/{orderId} を使用してください。このエンドポイントのレスポンスと動作は変わりません。
curl -X GET https://api.bizmori.com/api/v2/orders/ORDER_ID \
-H "Authorization: Bearer YOUR_API_TOKEN"const orderId = 'ORDER_ID';
const response = await fetch(
`https://api.bizmori.com/api/v2/orders/${orderId}`,
{ headers: { 'Authorization': 'Bearer YOUR_API_TOKEN' } }
);
const data = await response.json();import requests
order_id = 'ORDER_ID'
response = requests.get(
f'https://api.bizmori.com/api/v2/orders/{order_id}',
headers={'Authorization': 'Bearer YOUR_API_KEY'}
)
data = response.json()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bizmori.com/api/v2/orders/{orderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bizmori.com/api/v2/orders/{orderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bizmori.com/api/v2/orders/{orderId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bizmori.com/api/v2/orders/{orderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"type": "antiAi",
"orderId": "1234567890123456789",
"channel": "api",
"thumbnailImageUrl": "https://s3.amazonaws.com/...",
"status": "complete",
"orderName": "anti_ai_2026-03-12",
"fileCount": 3,
"createdAt": "2026-03-12T10:00:00.000Z",
"updatedAt": "2026-03-12T10:05:00.000Z",
"errors": null
}
}承認
外部クライアントアクセス用のBearer APIキー。本番キーは sk_ プレフィックスを使用し、テストキーは sk_test_ プレフィックスを使用して、処理やクレジット消費なしに注文ライフサイクルを検証します。
パスパラメータ
注文ID
レスポンス
成功
注文詳細情報
Hide child attributes
Hide child attributes
注文ID
注文名
注文タイプ
antiAi, watermarkEmbed, watermarkExtract, aiDetection 注文チャネル
api, web 注文ステータス
pending, inProgress, complete, failed, expired ファイル数
サムネイル画像URL(プリサインドURL、有効期限1時間)。期限切れの場合はnullです。
Anti-AI注文は、縦横比を保った幅740×高さ400以内のWebP詳細サムネイルを返します。この変更より前に作成された注文や、詳細サムネイルを作成できなかった注文は200×200のサムネイルを返します。
AI Detection注文は、処理完了後に generateThumbnail オプションに関係なく詳細サムネイル(WebP、740×400以内)を返します。リサイズ画像が用意できていない場合は、元の入力画像のURLを返します。
元の入力画像のダウンロードURL(プリサインドURL、有効期限1時間)。aiDetection注文専用。期限切れの場合はnullです。 処理完了後は、通常、長辺を1600px以内に縮小したコピー(WebP)を返します。リサイズしたコピーが用意できていない場合は、元の入力画像を返します。
作成日時
更新日時
エラーメッセージ(失敗時)
watermark テキスト一覧(watermarkEmbed注文専用)
抽出された watermark テキスト(watermarkExtract注文専用)
AI検知確率(aiDetection注文専用)
注文タイプ別のステータスコード。 watermarkExtract 注文:
- detected - watermark を検出
- undetected - watermark 未検出 aiDetection 注文(probabilityから自動計算):
- likely_real - probability < 0.25
- uncertain_real - 0.25 <= probability < 0.5
- uncertain_ai - 0.5 <= probability < 0.75
- likely_ai - probability >= 0.75 他の注文タイプでは返却されません。
AI検知ヒートマップ画像のダウンロードURL(aiDetection注文専用、generateHeatmapオプション使用時に返却)。 通常、長辺を1600px以内に縮小したWebPです。リサイズ画像が用意できていない場合は、元のサイズのPNGを返します。
元画像にヒートマップを重ねたオーバーレイ画像のダウンロードURL(aiDetection注文専用、generateOverlayオプション使用時に返却)。 通常、長辺を1600px以内に縮小したWebPです。リサイズ画像が用意できていない場合は、元のサイズのPNGを返します。